.quiz {
  padding-top: 45px;
  padding-bottom: 45px;

  .title {
    text-align: center;
    margin-bottom: 48px;
  }

  .subscribe__input {
    width: 100%;
    max-width: unset;
    margin-bottom: 10px;
  }
}

.quiz__title {
  font-size: 28px;
  line-height: 113%;
  margin-bottom: 36px;
  color: $brown;
  text-align: center;
  font-weight: 400;

  span {
    font-weight: 700;
    font-size: 28px;
    line-height: 113%;
    color: $green;
  }
}

.quiz__list {
  @include list-reset;

}

.quiz__content {
  display: none;
  margin-bottom: 30px;
  min-height: 590px;

  &--active {
    display: block;
  }
}

.quiz__label {
  display: flex;
  align-items: center;
  padding: 26px 10px 26px 20px;
  color: $brown;
  border: 1px solid $green;
  min-height: 112px;
  border-radius: 30px 0;
  cursor: pointer;
  transition: all 0.3s;


  &--active {
    border-color: $green;

    .quiz__circle {
      background-color: $red;
    }
  }
}

input:checked {
  & + .quiz__label {
    border-color: $green;

    .quiz__circle {
      background-color: $red;
    }
  }
}

.quiz__item {

  &:not(:last-child) {
    margin-bottom: 25px;
  }

  input {
    position: absolute;
    left: -9999px;
  }
}

.quiz__circle {
  @include pseudo;
  min-width: 10px;
  height: 10px;
  margin-right: 15px;
  background: transparent;
  border: 1px solid $red;
  border-radius: 50%;
  transition: all 0.3s;
}


.quiz__icon {
  width: 38px;
  min-width: 38px;
  height: 38px;
  margin-right: 17px;
  fill: $green;
}

.quiz__counter {
  margin-top: 18px;
  font-size: 18px;
  line-height: 21px;
  text-align: center;
  color: $brown;
}

.quiz__description {
  margin-bottom: 60px;
  font-weight: 500;
  font-size: 18px;
  line-height: 21px;
  text-align: center;
  color: $brown;

  &--thanks {
    &::after {
      @include pseudo;
      width: 130px;
      height: 130px;
      margin: 0 auto;
      margin-top: 40px;
      background-image: url("../images/ok.png");
    }
  }
}

.quiz__submit {
  width: 100%;
  margin-bottom: 10px;
}

@media (min-width: 1280px) {
  .quiz {
    max-width: 1042px;
    margin: 0 auto;
    min-height: 549px;
    padding-top: 70px;
    padding-bottom: 70px;

    .popup__label {
      justify-content: center;
      margin-top: 40px;
    }

    .title {
      max-width: 620px;
      margin: 0 auto;
      margin-bottom: 70px;
    }
  }

  .quiz__content {
    margin-bottom: 44px;
    min-height: unset;
  }

  .quiz__title {
    margin-bottom: 44px;
    text-align: center;
  }

  .quiz__list {
    display: grid;
    flex-wrap: wrap;
    grid-gap: 24px;
    grid-template-columns: repeat(2, 1fr);
    margin-bottom: 61px;
  }

  .quiz__label {
    padding: 29px 26px 28px 30px;
    font-size: 18px;
    line-height: 21px;

    &:not(:last-child) {
      margin-bottom: 0;
    }
  }

  .quiz__icon {
    width: 55px;
    min-width: 55px;
    height: 55px;
    margin-right: 28px;
  }

  .quiz__circle {
    margin-right: 20px;
  }

  .quiz__counter {
    font-size: 18px;
    line-height: 21px;
  }

  .quiz__control {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .quiz__description {
    width: 555px;
    margin: 0 auto;
    margin-bottom: 40px;
    font-size: 28px;
    line-height: 33px;
    font-weight: 400;
  }

  .quiz__form {
    display: flex;
    width: 616px;
    margin: 0 auto;

    .subscribe {
      width: 288px;
      min-width: 288px;
      margin-right: 30px;
    }

    input {
      margin-right: 30px;
    }
  }

  .quiz__item {
    &:not(:last-child) {
      margin-bottom: 0;
    }
  }
}
